%define major 1
%define libname %mklibname xkbfile %{major}
%define develname %mklibname xkbfile -d
%define staticdevelname %mklibname xkbfile -d -s

Name: libxkbfile
Summary:  The xkbfile Library
Version: 1.0.8
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libxkbfile-%{version}.tar.bz2

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
The xkbfile Library.

#-----------------------------------------------------------

%package -n %{libname}
Summary:  The xkbfile Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libname}
The xkbfile Library.

%files -n %{libname}
%{_libdir}/libxkbfile.so.%{major}*

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libname} >= %{version}
Requires: x11-proto-devel >= 1.0.0
Provides: %{name}-devel = %{version}-%{release}

Conflicts: libxorg-x11-devel < 7.0
Obsoletes: %mklibname xkbfile 1 -d

%description -n %{develname}
Development files for %{name}

%pre -n %{develname}
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files -n %{develname}
%{_libdir}/libxkbfile.so
%{_libdir}/pkgconfig/xkbfile.pc
%{_includedir}/X11/extensions/XKM.h
%{_includedir}/X11/extensions/XKBrules.h
%{_includedir}/X11/extensions/XKBconfig.h
%{_includedir}/X11/extensions/XKMformat.h
%{_includedir}/X11/extensions/XKBfile.h
%{_includedir}/X11/extensions/XKBbells.h

#-----------------------------------------------------------

%package -n %{staticdevelname}
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{develname} >= %{version}
Provides: %{name}-static-devel = %{version}-%{release}

Conflicts: libxorg-x11-static-devel < 7.0
Obsoletes: %mklibname xkbfile 1 -d -s

%description -n %{staticdevelname}
Static development files for %{name}.

%files -n %{staticdevelname}
%{_libdir}/libxkbfile.a

#-----------------------------------------------------------

%prep
%setup -q -n libxkbfile-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
%makeinstall_std

find %buildroot -name *.la | xargs rm



%changelog

* Fri Mar 09 2012 tv <tv> 1.0.8-1.mga2
+ Revision: 222184
- new release

* Wed Jan 25 2012 dmorgan <dmorgan> 1.0.7-3.mga2
+ Revision: 201520
- Clean spec file

* Tue Nov 22 2011 trem <trem> 1.0.7-2.mga2
+ Revision: 170974
- drop .la file

* Tue Jan 11 2011 dmorgan <dmorgan> 1.0.7-1.mga1
+ Revision: 5603
- imported package libxkbfile

